Bug 1277302 - Unable to perform Datastore SmartState Analysis : undefined method `ext_management_system' for storage
Unable to perform Datastore SmartState Analysis : undefined method `ext_manag...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Hui Song
Nandini Chandra
:
: 1276470 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 19:26 EST by Nandini Chandra
Modified: 2015-12-08 08:43 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:43:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-11-02 19:26:58 EST
Description of problem:
-----------------------
I'm unable to perform Smart state analysis of datastores.The task remains in the 'Queued' state.

Snippet from evm.log:
[----] I, [2015-11-02T18:59:35.644653 #3042:941998]  INFO -- : MIQ(Storage.create_scan_task) Created MiqTask ID: [16], Name: [SmartState Analysis for [cfme-esx-55-03-local]]
[----] I, [2015-11-02T18:59:35.673198 #3042:941998]  INFO -- : <AutomationEngine> MiqAeEvent.build_evm_event >> event=<"request_storage_scan"> inputs=<{"MiqEvent::miq_event"=>21729, :miq_event_id=>21729, "EventStream::event_stream"=>21729, :event_stream_id=>21729}>
[----] W, [2015-11-02T18:59:35.674980 #3042:941998]  WARN -- : MIQ(Storage.scan_queue) Storage name: [cfme-esx-55-03-local], id: [9]: rejected for scan because <undefined method `ext_management_system' for #<Storage:0x000000116267e8>> - removing from target list


Version-Release number of selected component (if applicable):
-------------------
5.5.0.8


How reproducible:
-----------------
Always


Steps to Reproduce:
------------------
1.Perform SmartState analysis of any vsphere datastore.


Actual results:
--------------
No errors in the UI.But,the task remains in the queued state and doesn't complete.


Expected results:
-----------------
Task should complete.


Additional info:
Comment 3 CFME Bot 2015-11-12 13:00:50 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/2b31231dadc7ba80cc6248290e78540c7d790bea

commit 2b31231dadc7ba80cc6248290e78540c7d790bea
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Nov 11 15:34:51 2015 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Nov 11 17:07:37 2015 -0500

    Storage has many providers via hosts.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277302

 lib/miq_automation_engine/engine/miq_ae_event.rb    |  2 ++
 spec/lib/miq_automation_engine/miq_ae_event_spec.rb | 14 ++++++++++++++
 2 files changed, 16 insertions(+)
Comment 4 CFME Bot 2015-11-16 16:18:21 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=263228d3512820eda6d325d73a5f41559443ef1f

commit 263228d3512820eda6d325d73a5f41559443ef1f
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Nov 11 15:34:51 2015 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Fri Nov 13 15:45:58 2015 -0500

    Storage has many providers via hosts.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277302

 lib/miq_automation_engine/engine/miq_ae_event.rb    |  2 ++
 spec/lib/miq_automation_engine/miq_ae_event_spec.rb | 14 ++++++++++++++
 2 files changed, 16 insertions(+)
Comment 5 CFME Bot 2015-11-16 16:19:04 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=7c3cba2ad80d899f00194b77e156a91b9cf7bba8

commit 7c3cba2ad80d899f00194b77e156a91b9cf7bba8
Merge: 7287115 263228d
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Nov 13 18:05:31 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Nov 13 18:05:31 2015 -0500

    Merge branch '5.5.z-tenant_for_storage_event_1277302' into '5.5.z'
    
    Storage has many providers via hosts.
    
    Clean cherry-pick from [#5391](https://github.com/ManageIQ/manageiq/pull/5391)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277302
    
    See merge request !429

 lib/miq_automation_engine/engine/miq_ae_event.rb    |  2 ++
 spec/lib/miq_automation_engine/miq_ae_event_spec.rb | 14 ++++++++++++++
 2 files changed, 16 insertions(+)
Comment 6 Dave Johnson 2015-11-17 00:06:24 EST
*** Bug 1276470 has been marked as a duplicate of this bug. ***
Comment 7 Nandini Chandra 2015-11-19 12:02:39 EST
Verified that Datastore SmartState analysis can now be successfully performed.
Comment 8 Nandini Chandra 2015-11-19 12:03:03 EST
Verified in 5.5.0.11
Comment 10 errata-xmlrpc 2015-12-08 08:43:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.